DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
dcmtk::log4cplus::helpers::AppenderAttachableImpl Class Reference

This Interface is for attaching Appenders to objects. More...

Inheritance diagram for dcmtk::log4cplus::helpers::AppenderAttachableImpl:

## Public Member Functions
virtual void | addAppender (SharedAppenderPtr newAppender)
| Add an appender.
virtual SharedAppenderPtrList | getAllAppenders ()
| Get all previously added appenders as an vectory.
virtual SharedAppenderPtr | getAppender (const log4cplus::tstring &name)
| Look for an attached appender named as `name`.
virtual void | removeAllAppenders ()
| Remove all previously added appenders.
virtual void | removeAppender (SharedAppenderPtr appender)
| Remove the appender passed as parameter from the list of appenders.
virtual void | removeAppender (const log4cplus::tstring &name)
| Remove the appender with the name passed as parameter from the list of appenders.
int | appendLoopOnAppenders (const spi::InternalLoggingEvent &event) const
| Call the `doAppend` method on all attached appenders.

## Protected Attributes
ListType | appenderList
| Array of appenders.

## Detailed Description

This Interface is for attaching Appenders to objects.

## Member Function Documentation

## ◆ addAppender()

virtual void dcmtk::log4cplus::helpers::AppenderAttachableImpl::addAppender | ( | SharedAppenderPtr | newAppender | ) |
| virtual

Add an appender.

If the appender is already in the list in won't be added again.

Implements dcmtk::log4cplus::spi::AppenderAttachable.

## ◆ getAppender()

virtual SharedAppenderPtr dcmtk::log4cplus::helpers::AppenderAttachableImpl::getAppender | ( | const log4cplus::tstring & | name | ) |
| virtual

Look for an attached appender named as `name`.

Return the appender with that name if in the list. Return null otherwise.

Implements dcmtk::log4cplus::spi::AppenderAttachable.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/helpers/apndimpl.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2